// ***************************************************************************
// Implementation System Includes
// ***************************************************************************

#include <be/be_apps/Deskbar/Deskbar.h>

// ***************************************************************************
// Implementation Project Includes
// ***************************************************************************

#include "WatchApp.h"
#include "WatchView.h"
#include "WebWatch.h"

// ***************************************************************************
// Implementation Constant Definitions
// ***************************************************************************

// ***************************************************************************
// Implementation Type Definitions
// ***************************************************************************

// ***************************************************************************
// Implementation Variable Definitions
// ***************************************************************************

// ***************************************************************************
// Implementation Function Declarations
// ***************************************************************************

// ***************************************************************************
// Global Variable Definitions
// ***************************************************************************

// ***************************************************************************
// PUBLIC Member Function Definitions
// ***************************************************************************

// ===========================================================================
// Constructor
// ===========================================================================

WatchApp::WatchApp() 
	: BApplication(APP_SIGNATURE)
{
	// Installing replicants into the Deskbar has become
	// really simple thanks to R4.5's BDeskbar class.
	BDeskbar deskbar;
	if (!deskbar.HasItem("WebWatch"))
	{
		deskbar.AddItem(new WatchView());
	}
	
	// Commit suicide.
	PostMessage(B_QUIT_REQUESTED);
}

// ***************************************************************************
// PROTECTED Member Function Definitions
// ***************************************************************************

// ***************************************************************************
// PRIVATE Member Function Definitions
// ***************************************************************************

// ***************************************************************************
// Helper Function Definitions
// ***************************************************************************

// ***************************************************************************
// Global Function Definitions
// ***************************************************************************

// ***************************************************************************
// Implementation Function Definitions
// ***************************************************************************
